DSRW_READ_TYPE(3)

FUNCTION
dsrw_read_type - Read the binary representation of a data type.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_read_type

(Channel channel, unsigned int *type)

DESCRIPTION
This routine will read in the binary representation of a data type from a channel object.

channel
    The channel object.

type
    The type value is written here.

RETURN VALUE
TRUE if the type was read without error, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/